# This file created by conda-build 3.15.1
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/ripgrep-0.10.0-on-linux_64, last modified Fri Sep 28 22:59:19 2018
# ------------------------------------------------

package:
    name: ripgrep
    version: 0.10.0
source:
    url: https://github.com/BurntSushi/ripgrep/archive/0.10.0.tar.gz
build:
    missing_dso_whitelist:
        - /usr/lib/libresolv.9.dylib
    script:
        - cargo build --release -v
        - $STRIP target/release/rg
        - '[[ -d $PREFIX/bin ]] || mkdir $PREFIX/bin'
        - cp target/release/rg $PREFIX/bin/
    string: hc07d326_0
requirements:
    build:
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_3
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_3
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_3
        - libgcc-ng 8.2.0 hdf63c60_1
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - rust 1.29.0 0
        - rust_linux-64 1.29.0 he6710b0_0
extra:
    copy_test_source_files: true
    final: true
